- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_shortcut – Manage shortcuts on Windows

- Synopsis
- Parameters
- Notes
- See Also
- Examples
- Status

## Synopsis

- Create, manage and delete Windows shortcuts

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
arguments string |  | Additional arguments for the executable defined in `src`. Was originally just `args` but renamed in Ansible 2.8. aliases: args
description string |  | Description for the shortcut. This is usually shown when hoovering the icon.
dest path / required |  | Destination file for the shortcuting file. File name should have a `.lnk` or `.url` extension.
directory path |  | Working directory for executable defined in `src`.
hotkey string |  | Key combination for the shortcut. This is a combination of one or more modifiers and a key. Possible modifiers are Alt, Ctrl, Shift, Ext. Possible keys are [A-Z] and [0-9].
icon path |  | Icon used for the shortcut. File name should have a `.ico` extension. The file name is followed by a comma and the number in the library file (.dll) or use 0 for an image file.
run_as_admin boolean added in 2.8 | Choices: no ← yes | When `src` is an executable, this can control whether the shortcut will be opened as an administrator or not.
src string |  | Executable or URL the shortcut points to. The executable needs to be in your PATH, or has to be an absolute path to the executable.
state string | Choices: absent present ← | When `absent`, removes the shortcut if it exists. When `present`, creates or updates the shortcut.
windowstyle string | Choices: maximized minimized normal | Influences how the application is displayed when it is launched.

## Notes

Note

- The following options can include Windows environment variables: `dest`, `args`, `description`, `dest`, `directory`, `icon` `src`
- Windows has two types of shortcuts: Application and URL shortcuts. URL shortcuts only consists of `dest` and `src`

## See Also

See also

win_file – Creates, touches or removes files or directories
  The official documentation on the win_file module.

## Examples

    - name: Create an application shortcut on the desktop
      win_shortcut:
        src: C:\Program Files\Mozilla Firefox\Firefox.exe
        dest: C:\Users\Public\Desktop\Mozilla Firefox.lnk
        icon: C:\Program Files\Mozilla Firefox\Firefox.exe,0

    - name: Create the same shortcut using environment variables
      win_shortcut:
        description: The Mozilla Firefox web browser
        src: '%ProgramFiles%\Mozilla Firefox\Firefox.exe'
        dest: '%Public%\Desktop\Mozilla Firefox.lnk'
        icon: '%ProgramFiles\Mozilla Firefox\Firefox.exe,0'
        directory: '%ProgramFiles%\Mozilla Firefox'
        hotkey: Ctrl+Alt+F

    - name: Create an application shortcut for an executable in PATH to your desktop
      win_shortcut:
        src: cmd.exe
        dest: Desktop\Command prompt.lnk

    - name: Create an application shortcut for the Ansible website
      win_shortcut:
        src: '%ProgramFiles%\Google\Chrome\Application\chrome.exe'
        dest: '%UserProfile%\Desktop\Ansible website.lnk'
        arguments: --new-window https://ansible.com/
        directory: '%ProgramFiles%\Google\Chrome\Application'
        icon: '%ProgramFiles%\Google\Chrome\Application\chrome.exe,0'
        hotkey: Ctrl+Alt+A

    - name: Create a URL shortcut for the Ansible website
      win_shortcut:
        src: https://ansible.com/
        dest: '%Public%\Desktop\Ansible website.url'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Dag Wieers (@dagwieers)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.